﻿@{
    ViewBag.Title = "PaymentGateway";
    var banks = (List<Cdio447.Models.banks>)ViewBag.banks;
    var checkModel = ViewBag.CheckModel;
    var success = ViewBag.success;
}
@model Cdio447.Models.payment_gateways
<div class="row justify-content-center">
    <div class="col-12 col-lg-7">
        <div class="form-payin my-2 my-lg-4 p-3">
            @using (Html.BeginForm("PaymentGateway", "Withdrawl", FormMethod.Post))
            {
                <h3 class="text-center mb-0 pb-3">Đăng ký cổng thanh toán</h3>
                @Html.AntiForgeryToken()
                if (checkModel == null)
                {
                    <div class="form-group mb-2 list-bank">
                        <label>Cổng thanh toán</label>
                        <select id="select_bankId" class="form-control">
                            <option value="0">Chọn Cổng thanh toán</option>
                            @foreach (var bank in banks)
                            {
                                <option value="@bank.id">@bank.name</option>
                            }
                        </select>
                        @Html.HiddenFor(model => model.bank_id, new { @id = "bankIDPW" })
                        @Html.ValidationMessageFor(model => model.bank_id, "", new { @class = "text-danger mt-1" })
                    </div>
                }
                else
                {
                    <div class="form-group mb-2 list-bank">
                        <label>Cổng thanh toán</label>
                        <select id="select_bankId" class="form-control">
                            <option value="0">Chọn Cổng thanh toán</option>
                            @foreach (var bank in banks)
                            {
                                <option value="@bank.id" @if (Model.bank_id == bank.id) { <text> selected="selected" </text> }>@bank.name</option>
                            }
                        </select>
                        @Html.HiddenFor(model => model.bank_id, new { @id = "bankIDPW" })
                        @Html.ValidationMessageFor(model => model.bank_id, "", new { @class = "text-danger" })
                    </div>
                }
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="inputEmail4">Chủ tài khoản</label>
                        @Html.TextBoxFor(model => model.account_name, new { @class = "form-control", @autofocus = "autofocus" })
                        @Html.ValidationMessageFor(model => model.account_name, "", new { @class = "text-danger mt-1" })
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputPassword4">Số tài khoản</label>
                        @Html.TextBoxFor(model => model.account_code, new { @class = "form-control", @autofocus = "autofocus" })
                        @Html.ValidationMessageFor(model => model.account_code, "", new { @class = "text-danger mt-1" })
                    </div>
                </div>
                <div class="form-group">
                    <p>Tiến hành rút tiền<a href="@Url.Action("Withdrawl","Withdrawl")"> tại đây</a></p>
                </div>
                <div class="form-group">
                    <p><b>Lưu ý: </b><span class="text-danger">Vui lòng cung cấp số tài khoản và chủ tài khoản thật để thực hiện giao dịch rút tiền</span></p>
                </div>
                <div class="form-group mb-0 text-center pt-3" style="border-top: 1px solid #e74c3c">
                    <button type="submit" class="btn btn_template">Đăng ký</button>
                </div>
            }
        </div>
    </div>
</div>
@section scripts {
    <script>
        $('input[type=text][name=account_name]').on('change keyup', function () {
            var getText = $(this).val();
            getText = getText.toUpperCase();
            $(this).val(getText);
        });
    </script>
    @if (success != null)
    {
        <script>
            setTimeout(function () { alert("Đăng ký thành công"); }, 100);
        </script>
    }
}